Piloterr

Goodreads Book

GET
/v2/goodreads/book

Read one Goodreads book by the numeric id from search, such as 44767458 for Dune.

Credit cost: 2 credits per call

Authorization

ApiKeyAuth
headerx-api-key<token>

Your API key. Include it in the x-api-key header for every request.

Query Parameters

query*string

Required. The numeric Goodreads book id from search, or a /book/show/ URL. A title is not accepted.

Example:

44767458

URL example:

https://www.goodreads.com/book/show/44767458

Response Body

Successful response

application/json
  1. response
id?string
url?string
isbn?string
image?string
pages?integer
title?string
awards?array<string>
genres?array<string>
rating?number
series?string
authors?array<string>
language?string
published?string
book_format?string
description?string
ratings_count?integer
reviews_count?integer
Example Request
curl -X GET 'https://api.piloterr.com/v2/goodreads/book?query=string'
Example Response
{  "id": "44767458",  "url": "https://www.goodreads.com/book/show/44767458",  "isbn": "9780593099322",  "image": "https://m.media-amazon.com/images/S/compressed.photo.goodreads.com/books/1555447414i/44767458.jpg",  "pages": 658,  "title": "Dune",  "awards": [    "Hugo Award Best Novel (1966)",    "Nebula Award Best Novel (1965)",    "Seiun Award 星雲賞 Best Foreign Novel (1974)"  ],  "genres": [    "Science Fiction",    "Fiction",    "Fantasy",    "Classics",    "Audiobook",    "Science Fiction Fantasy",    "Space Opera"  ],  "rating": 4.29,  "series": "Dune #1",  "authors": [    "Frank Herbert"  ],  "language": "English",  "published": "June 1, 1965",  "book_format": "Hardcover",  "description": "Set on the desert planet Arrakis, Dune is the story of the boy Paul Atreides, heir to a noble family tasked with ruling an inhospitable world where the only thing of value is the “spice” melange, a drug capable of extending life and enhancing consciousness. Coveted across the known universe, melange is a prize worth killing for... When House Atreides is betrayed, the destruction of Paul’s family will set the boy on a journey toward a destiny greater than he could ever have imagined. And as he evolves into the mysterious man known as Muad’Dib, he will bring to fruition humankind’s most ancient and unattainable dream. Show more",  "ratings_count": 1723657,  "reviews_count": 90495}